﻿.modal-dialog {
  overflow: hidden; }

.appointment-management-back {
  float: left;
  margin-left: 10px;
  line-height: 50px;
  max-height: 50px; }

.appointment-management-back a {
  font-size: 18px;
  color: #0074DB;
  line-height: 50px;
  text-decoration: none;
  cursor: pointer; }

.appointment-management-back a:hover {
  color: #0074DB; }

.sp-modal-container {
  border-radius: 6px;
  background-color: #ffffff;
  box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.35);
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box; }

#apptmanagement .appointment-detail-location {
  max-height: 120px; }

.sp-modal-container .esg-spinner-wrapper {
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px; }

.sp-modal-body {
  position: relative;
  overflow-y: auto;
  overflow-x: hidden;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px; }

.apptmanagement-modal {
  height: 550px; }

.sm-contact-image-container {
  display: inline-block;
  width: 60px;
  min-width: 60px;
  height: 100%;
  vertical-align: top; }

.sm-profile-image {
  border-radius: 50%;
  height: 40px; }

.sm-contact-info-container {
  display: inline-block;
  vertical-align: top;
  width: calc(100% - 70px); }

.sm-content-panel {
  height: 60px;
  max-height: 60px;
  overflow-y: hidden;
  padding: 10px 10px 10px 20px;
  background-color: #ffffff;
  border-bottom: solid 1px #e2e2e2;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex; }

.sm-content-panel:hover {
  background-color: rgba(0, 0, 0, 0.04);
  transition: background-color 100ms linear; }

.sm-content-panel > a {
  width: 100%; }

.arrow {
  width: 10px;
  display: inline-block;
  float: right;
  line-height: 3.0; }

.arrow > img {
  height: 15px; }

.sm-contact-search {
  width: 100%;
  height: 44px;
  padding-left: 40px;
  font-size: 14px;
  font-weight: 300;
  font-style: italic; }

.search-img {
  left: 10px;
  top: 15px;
  position: absolute;
  color: #75C5FF; }

/* Calendar slider */
#appointment-schedule {
  width: 100%;
  height: 60px;
  max-height: 60px;
  overflow-y: hidden;
  border-bottom: 1px solid #5B5E65; }

#appointment-selected-date {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.43;
  color: #444444;
  margin: 25px 0px 0px 20px; }

#appointment-select-slot-label {
  font-size: 14px;
  font-weight: 400;
  font-style: italic;
  color: #666666;
  margin: 10px 0px 25px 20px; }

#appointment-slots {
  padding: 0px 20px 0px 20px;
  overflow-x: hidden;
  overflow-y: auto;
  max-height: 385px;
  min-height: 65px; }

.slots-flex {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -ms-flex-wrap: wrap;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-direction: row;
  -webkit-flex-direction: row;
  flex-direction: row; }

#appointment-no-slots {
  display: none;
  font-size: 14px;
  color: #aaa;
  margin: 30px 20px 0px 20px; }

.time-slot {
  width: 110px;
  height: 40px;
  border-radius: 6px;
  background-color: #EFF7FF;
  border: solid 1px #2874BB;
  font-size: 14px;
  font-weight: 600;
  color: #2874BB;
  margin: 5px;
  cursor: pointer;
  line-height: 40px;
  text-align: center; }

.time-slot:hover {
  border-width: 2px; }

.time-slot a {
  text-decoration: none;
  color: #2874BB; }

/*Mobile*/
@media (max-width: 767px) {
  .modal-dialog {
    margin: 0;
    height: 100%;
    overflow-y: hidden; }
  .sp-modal-body {
    height: calc(100% - 50px);
    overflow-y: auto;
    overflow-x: hidden; }
  .sp-modal-container {
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    border-radius: 0; } }

/* Calendar scrolling */
#appointment-left-scroll, #appointment-right-scroll {
  position: absolute;
  width: 30px;
  height: 60px;
  top: 0;
  cursor: pointer; }

#appointment-left-scroll a.left, #appointment-right-scroll a.right {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  color: #6c6c6c;
  font-size: 1.3em;
  text-decoration: none; }

#appointment-left-scroll {
  left: 0; }

#appointment-right-scroll {
  right: 0; }

#appointment-left-scroll:hover, #appointment-right-scroll:hover {
  background-color: rgba(0, 0, 0, 0.04); }

#appointment-left-scroll.disabled, #appointment-right-scroll.disabled {
  cursor: default;
  opacity: 0.2; }

#appointment-left-scroll.disabled:hover, #appointment-right-scroll.disabled:hover {
  background-color: transparent; }

#appointment-left-scroll.disabled a, #appointment-right-scroll.disabled a {
  cursor: default; }

/* Multiple Advisors */
.slot-advisor-container {
  margin-bottom: 60px;
  width: 100%; }

.slot-advisor-name {
  vertical-align: middle;
  line-height: 40px;
  margin-left: 10px;
  font-size: 16px; }

hr.slot-advisor-underline {
  margin-top: 3px !important;
  border: 0;
  height: 1px;
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.25), transparent); }

/*** Reused Full Calendar control ***/
#appointment-schedule {
  overflow-y: hidden;
  padding-left: 30px;
  padding-right: 30px;
  border-left-width: 0; }
  #appointment-schedule .fc-toolbar {
    display: none; }
  #appointment-schedule .fc-head {
    display: none; }
  #appointment-schedule .fc-scroller.fc-day-grid-container {
    height: 60px !important;
    max-height: 60px;
    overflow-y: hidden !important; }
  #appointment-schedule .fc-row.fc-week.fc-widget-content .fc-bg tr {
    height: 60px;
    max-height: 60px;
    overflow-y: hidden; }
  #appointment-schedule .fc-body tr .fc-widget-content {
    border-width: 0 !important; }
  #appointment-schedule .fc-day.fc-widget-content {
    border-width: 0 !important;
    padding-bottom: 5px; }
  #appointment-schedule .fc-day.fc-widget-content:hover {
    background-color: rgba(0, 0, 0, 0.04);
    cursor: default; }
  #appointment-schedule .fc-day.selected {
    background-color: #0074DB !important;
    color: #fff;
    transition: background-color 100ms linear;
    font-weight: bold; }
  #appointment-schedule .fc-today {
    background-color: transparent;
    font-weight: bold;
    color: #0074DB; }
  #appointment-schedule .fc-past {
    color: #ccc; }
  #appointment-schedule .fc-past:hover {
    background-color: transparent !important; }
  #appointment-schedule .fc-day-grid-event {
    width: 2px;
    height: 4px;
    border-radius: 50% !important;
    background-color: #bbb;
    border-color: transparent !important;
    margin: auto;
    margin-top: 5px;
    pointer-events: none;
    position: absolute;
    bottom: 0;
    left: calc(50% - 3px); }
  #appointment-schedule .fc-day-grid-event > .fc-content {
    display: none; }
  #appointment-schedule .fc-event-container {
    vertical-align: bottom;
    position: relative; }
  #appointment-schedule .fc-content-skeleton {
    position: absolute;
    bottom: 0;
    top: 0;
    padding-bottom: 0 !important;
    pointer-events: none; }
  #appointment-schedule .fc-content-skeleton table tr:first-child {
    height: 55px; }

/* Details screen */
#appointment {
  padding-top: 20px; }

.notes-wrapper {
  margin: 40px 20px 30px 20px; }

#appointment-detail-notes-input {
  width: 100%;
  resize: none;
  height: 190px; }

#appointment-detail-notes-input[disabled] {
  background-color: #f6f6f6; }

.panel-appointment-schedule-buttons {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -ms-flex-pack: center;
  -webkit-justify-content: space-around;
  justify-content: space-around;
  border-top: 1px solid #e2e2e2;
  bottom: 20px;
  position: absolute;
  left: 0;
  right: 0;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  min-height: 67px;
  padding: 20px 10px 0px 10px; }

@media (max-width: 767px) {
  .panel-appointment-schedule-buttons {
    position: relative;
    min-height: 0; }
  #appointment {
    padding-top: 0; }
  .notes-wrapper {
    margin-top: 5px; }
  #buttonBookGoBack {
    width: 34%; } }

#appointment-booked {
  display: none;
  font-size: 16px;
  font-weight: 600;
  color: #555555; }

#appointment-booked:after {
  content: "";
  display: block;
  background: url("../Content/Images/Check CF Copy.png") no-repeat;
  width: 24px;
  height: 24px;
  margin-left: 15px;
  float: right; }

